解决CentOS7编译python出现"zipimport.ZipImportError"错误问题

  1. 网友热度 110,932 ℃ - 1条评论
  2. 标签:,
  3. 微信公众号: imweber

老左有在一台CentOS7服务器中升级python3.6版本编译过程中有出现"zipimport.ZipImportError: can't decompress data; zlib not available"错误提示,看来是缺少包导致的,然后搜索网上各种教程发现大部分都是无法解决问题的,有的解决方法是通过修改配置文件取消注释"zlib zlibmodule.c"解决,但是我试过还是不行。

1、出现的错误提示

解决CentOS7编译python出现"zipimport.ZipImportError"错误问题

2、通过修改配置文件无法解决问题

3、解决方法

yum install zlib zlib-devel -y

直接安装需要的包才行,网上一些文档是建议安装zlibc zlib1g-dev包我这里测试是不同,也许在其他环境是可以。最后我们再去make install编译python是没有错误提示的。

本文固定链接: https://www.laozuo.org/10825.html | 老左笔记


声明:我们不销售主机,选主机需合法使用,信息以实际为准。 公众号:imweber


关注公众号『站长事儿』

获取更多站长圈的新鲜事儿!
有您,有我,还有大家!

注意:任何主机需定期备份,防止数据丢失。主机需合法使用,商家信息以实际为准,评测不代表权威。
该日志由 老左 于2017年06月29日发表在 主机教程 分类下, 通告目前不可用,你可以至底部留下评论。
原创文章转载请注明: 解决CentOS7编译python出现"zipimport.ZipImportError"错误问题